Loading...
Searching...
No Matches
dolfin::MeshView Class Reference

## Public Member Functions

| MeshView (std::shared_ptr< const Mesh > parent_mesh, std::vector< std::size_t > &vertex_map, std::vector< std::size_t > &cell_map)
| Constructor.
std::shared_ptr< const Mesh > | mesh () const
| Access parent mesh.
const std::vector< std::size_t > & | vertex_map () const
| Map to vertices of parent mesh.
const std::vector< std::size_t > & | cell_map () const
| Map to cells of parent mesh.

## Static Public Member Functions

static Mesh | create (const MeshFunction< std::size_t > &marker, std::size_t tag)

## Constructor & Destructor Documentation

## MeshView()

dolfin::MeshView::MeshView | ( | std::shared_ptr< const Mesh > | parent_mesh,
|  | std::vector< std::size_t > & | vertex_map,
|  | std::vector< std::size_t > & | cell_map )

inline

Constructor.

Mapping from a child Mesh to a parent Mesh for vertices and cells, using local indexing

## Member Function Documentation

## create()

Mesh MeshView::create | ( | const MeshFunction< std::size_t > & | marker,
|  | std::size_t | tag )

static

Create a new Mesh based on the Meshfunction marker, where it has a value equal to tag, setting the MeshViewMapping in MeshTopology accordingly. FIXME: this could be a free function

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshView.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshView.cpp